# Generated by Django 4.2.11 on 2024-06-07 09:17

from django.db import migrations, connection


def create_extension(apps, schema_editor):
    if connection.vendor == "postgresql":
        schema_editor.execute("CREATE EXTENSION IF NOT EXISTS vector;")


def drop_extension(apps, schema_editor):
    if connection.vendor == "postgresql":
        schema_editor.execute("DROP EXTENSION IF EXISTS vector;")


class Migration(migrations.Migration):
    dependencies = []

    operations = [
        migrations.RunPython(create_extension, reverse_code=drop_extension),
    ]
